<?php require_once('Connections/conn.php'); ?>
<?php session_start();

// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="secciones.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="secciones.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }  

	  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

  // Capturo los datos que vienen de gestiona_secciones.php
  $carrera=$_GET["carrera"];
  $sede=$_GET["sede"];
  $periodo=$_GET["periodo"];
  $pensum=$_GET["pensum"];
  $nivel=$_GET["nivel"];
 
  
  if($nivel=="CIU"){
     $nombre_nivel="CURSO DE INICIACION UNIVERSITARIA";
  }
  if($nivel=="CG"){
     $nombre_nivel="COMPONENTE GENERAL";
  }
  if($nivel=="CP"){
     $nombre_nivel="CICLO PROFESIONAL";
  }
  /*
  echo 'CARRERA: '.$carrera."<br>";
  echo 'SEDE   : '.$sede."<br>";
  echo 'PERIODO: '.$periodo."<br>";
  */
    mysql_select_db($database_conn, $conn); 
	mysql_query ("SET NAMES 'utf8'");
	$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes WHERE codigo='$sede'";
	$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
	$row_rstSede = mysql_fetch_assoc($rstSede);
	$totalRows_rstSede = mysql_num_rows($rstSede);
	$nombre_sede=$row_rstSede['nombre_sede'];
	

	$query_rstPeriodo = "SELECT periodos.id_periodo, periodos.codigo,periodos.tipo FROM periodos WHERE id_periodo='$periodo'";
	$rstPeriodo = mysql_query($query_rstPeriodo, $conn) or die(mysql_error());
	$row_rstPeriodo = mysql_fetch_assoc($rstPeriodo);
	$totalRows_rstPeriodo = mysql_num_rows($rstPeriodo);
	$nombre_periodo=$row_rstPeriodo['codigo'];

	$query_rstCarrera = "SELECT carreras.id_carrera, carreras.nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
	$rstCarrera = mysql_query($query_rstCarrera, $conn) or die(mysql_error());
	$row_rstCarrera = mysql_fetch_assoc($rstCarrera);
	$totalRows_rstCarrera = mysql_num_rows($rstCarrera);
	$nombre_carrera=$row_rstCarrera['nombre_carrera'];
?>

<html>
<head>
<title>sadce -- secciones</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Secciones</h2></td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr><td class="bd"><b>LAPSO:</b> <?php echo $nombre_periodo; ?>&nbsp;(<?php echo $row_rstPeriodo['tipo'] ?>)&nbsp;&nbsp;<B>SEDE:</B> <?php echo $nombre_sede ?></td></tr>
<tr><td class="bd"><b>CARRERA:</b> <?php echo $nombre_carrera; ?>&nbsp;&nbsp;&nbsp;<B>PENSUM:</B> <?php echo $pensum ?></td></tr>
<tr><td class="bd"><b>NIVEL:</b> <?php echo $nombre_nivel; ?></td></tr>

</table>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 250;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert($carrera, $sede, $periodo);
      break;
    case "update":
      sql_update($carrera, $sede, $periodo);
      break;
    case "delete":
      sql_delete($carrera, $sede, $periodo);
      break;
  }

  switch ($a) {
    case "add":
      addrec($carrera, $sede, $periodo);
      break;
    case "view":
      viewrec($recid, $carrera, $sede, $periodo);
      break;
    case "edit":
      editrec($recid, $carrera, $sede, $periodo);
      break;
    case "del":
      deleterec($recid, $carrera, $sede, $periodo);
      break;
    default:
      select($carrera,$sede,$periodo);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php function select($carrera, $sede, $periodo)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $nivel;
  global $pensum;
  global $conn;

  //$conn = connect();
  if ($a == "reset") {
    $filter = ""; 
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($carrera, $sede, $periodo);
  $count = sql_getrecordcount($carrera,$sede,$periodo);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr><td>N&uacute;mero de Secciones <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="secciones.php?carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>
<option value="<?php echo "seccion" ?>"<?php if ($filterfield == "seccion") { echo "selected"; } ?>><?php echo htmlspecialchars("Sección") ?></option>
<option value="<?php echo "turno" ?>"<?php if ($filterfield == "turno") { echo "selected"; } ?>><?php echo htmlspecialchars("Turno") ?></option>
<option value="<?php echo "semestre" ?>"<?php if ($filterfield == "semestre") { echo "selected"; } ?>><?php echo htmlspecialchars("Semestre") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="secciones.php?a=reset&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount, $carrera, $sede, $periodo); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="2" width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center">Oferta<br>Acad&eacute;mica</td>
<td class="hr" align="center">Horario</td>
<?php
  $mencion="COMUN";
  if($nivel=="CP"){
     $mencion=$row["mencion"];
  ?>
    <td class="hr" align="center"><a class="hr" href="secciones.php?order=<?php echo "mencion" ?>     &type=<?php echo $ordtypestr ?>"><?php echo "Menci&oacute;n" ?></a></td>
  <?php } ?>	
<td class="hr" align="center"><a class="hr" href="secciones.php?order=<?php echo "semestre" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Semestre") ?></a></td>
<td class="hr" align="center"><a class="hr" href="secciones.php?order=<?php echo "seccion" ?>&type=<?php echo $ordtypestr ?>"><?php echo "Secci&oacute;n" ?></a></td>
<td class="hr" align="center"><a class="hr" href="secciones.php?order=<?php echo "turno" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Turno") ?></a></td>

<td class="hr" align="center"><a class="hr" href="secciones.php?order=<?php echo "cupos" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Capacidad") ?></a></td>
</tr>

<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
  }
  // Tomo la denominación del turno.
  $codigo=$row['turno'];
  $query_rstTurnos1 = "SELECT turno FROM turnos where codigo='$codigo'";
  $rstTurnos1 = mysql_query($query_rstTurnos1, $conn) or die(mysql_error());
  $row_rstTurnos1 = mysql_fetch_assoc($rstTurnos1);
  $totalRows_rstTurnos1 = mysql_num_rows($rstTurnos1);
  $turno=$row_rstTurnos1['turno'];
	
	
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="secciones.php?a=view&recid=<?php echo $i ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>"><img src="imagenes/search.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="secciones.php?a=edit&recid=<?php echo $i ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>"><img src="imagenes/edit.gif" border="0"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="secciones.php?a=del&recid=<?php echo $i ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>"><img src="imagenes/delete.png" border="0"></a></td>

<td align="center" class="<?php echo $style ?>"><a href="oferta_academica.php?a=reset&id_carrera=<?php echo $carrera; ?>&sede=<?php echo $sede; ?>&id_periodo=<?php echo $periodo; ?>&id_seccion=<?php echo $row['seccion']; ?>&semestre=<?php echo $row['semestre']; ?>&turno=<?php echo $row['turno']; ?>&pensum=<?php echo $pensum; ?>&nivel=<?php echo $nivel; ?>&mencion=<?php echo $row['mencion']; ?>"><img src="imagenes/issue.png" border="0"></a></td>
<td align="center" class="<?php echo $style ?>"><a href="vista_generar_horario.php?a=reset&formulario=secciones&boton=cmdGestionar&cmbSeccion=<?php echo $row['codigo_seccion']; ?>&id_carrera=<?php echo $carrera; ?>&sede=<?php echo $sede; ?>&id_periodo=<?php echo $periodo; ?>&id_seccion=<?php echo $row['seccion']; ?>&semestre=<?php echo $row['semestre']; ?>&turno=<?php echo $row['turno']; ?>&pensum=<?php echo $pensum; ?>&nivel=<?php echo $nivel; ?>&mencion=<?php echo $row['mencion']; ?>&page=<?php echo $page; ?>"><img src="imagenes/schedule.png" border="0"></a></td>
 <?php
 if($nivel=="CP"){
  ?>
    <td align="center" class="<?php echo $style ?>"><?php echo $row["mencion"] ?></td>
  <?php } ?>	
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["semestre"]) ?></td>
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["seccion"]) ?></td>
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($turno) ?></td>

<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cupos"]) ?></td>


<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
  
  global $conn;
   
  $codigo=$row['turno'];
  $query_rstTurnos1 = "SELECT turno FROM turnos where codigo='$codigo'";
  $rstTurnos1 = mysql_query($query_rstTurnos1, $conn) or die(mysql_error());
  $row_rstTurnos1 = mysql_fetch_assoc($rstTurnos1);
  $totalRows_rstTurnos1 = mysql_num_rows($rstTurnos1);
  $turno=$row_rstTurnos1['turno'];
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["seccion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($turno) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["semestre"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Capacidad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cupos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Inscritos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["inscritos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cupos Disponibles")."&nbsp;" ?></td>
<td class="dr"><?php echo $row["cupos"]-$row["inscritos"] ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $nivel;
  global $carrera;
  
  $query_rstTurnos = "SELECT codigo,turno FROM turnos";
  $rstTurnos = mysql_query($query_rstTurnos, $conn) or die(mysql_error());
  $row_rstTurnos = mysql_fetch_assoc($rstTurnos);
  $totalRows_rstTurnos = mysql_num_rows($rstTurnos);
  
  $codigo=$row['turno'];
  $query_rstTurnos1 = "SELECT turno FROM turnos where codigo='$codigo'";
  $rstTurnos1 = mysql_query($query_rstTurnos1, $conn) or die(mysql_error());
  $row_rstTurnos1 = mysql_fetch_assoc($rstTurnos1);
  $totalRows_rstTurnos1 = mysql_num_rows($rstTurnos1);
  $turno=$row_rstTurnos1['turno'];
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<?php 
if($nivel=="CP"){
?>
   <tr>
   <td class="hr"><?php echo htmlspecialchars("Mención")."&nbsp;" ?></td>
   <td class="dr"><?php echo htmlspecialchars($row["mencion"]) ?></td>
   </tr>
<?php } ?>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["seccion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($turno) ?></td></tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["semestre"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Capacidad")."&nbsp;" ?></td>
<td class="dr"><input name="cupos" type="text"  onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["cupos"])) ?>" size="2" maxlength="2"> </td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Inscritos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["inscritos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cupos Disponibles")."&nbsp;" ?></td>
<td class="dr"><?php echo $row["cupos"]-$row["inscritos"] ?></td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode, $carrera, $sede, $periodo)
  {
  global $conn;
  global $nivel;
  global $carrera;
  global $pensum;
  
  $query_rstTurnos = "SELECT codigo,turno FROM turnos";
  $rstTurnos = mysql_query($query_rstTurnos, $conn) or die(mysql_error());
  $row_rstTurnos = mysql_fetch_assoc($rstTurnos);
  $totalRows_rstTurnos = mysql_num_rows($rstTurnos);
  
   $query_rst_menciones = "SELECT id_mencion, nombre_mencion FROM menciones WHERE id_carrera='$carrera'";
  $rst_menciones = mysql_query($query_rst_menciones, $conn) or die(mysql_error());
  $row_rst_menciones = mysql_fetch_assoc($rst_menciones);
  $totalRows_menciones = mysql_num_rows($rst_menciones);
 
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<?php 
if($nivel=="CP"){
?>
   <tr>
<td class="hr"><?php echo htmlspecialchars("Mención")."&nbsp;" ?></td>
<td class="dr"><select name="mencion" id="mencion">
  <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rst_menciones['id_mencion']?>"><?php echo $row_rst_menciones['nombre_mencion']?></option>
  <?php
} while ($row_rst_menciones = mysql_fetch_assoc($rst_menciones));
  $rows = mysql_num_rows($rst_menciones);
  if($rows > 0) {
      mysql_data_seek($rst_menciones, 0);
	  $row_rst_menciones = mysql_fetch_assoc($rst_menciones);
  }
?>
</select>
</td>
</tr>
<?php } ?>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr">
<select name="seccion">
  <option value="0">Seleccione...</option>
  <option value="A">A</option>
  <option value="B">B</option>
  <option value="C">C</option>
  <option value="D">D</option>
  <option value="E">E</option>
  <option value="F">F</option>
  <option value="G">G</option>
  <option value="H">H</option>
  <option value="I">I</option>
  <option value="J">J</option>
  <option value="K">K</option>
  <option value="L">L</option>
  <option value="M">M</option>
  <option value="N">N</option>
  <option value="O">O</option>
  <option value="P">P</option>
  <option value="Q">Q</option>
  <option value="R">R</option>
  <option value="S">S</option>
  <option value="T">T</option>
  <option value="U">U</option>
  <option value="V">V</option>
  <option value="W">W</option>
  <option value="X">X</option>
  <option value="Y">Y</option>
  <option value="Z">Z</option>
</select>
<select name="sub_seccion">
  <option value="0">...</option>
  <option value="1">1</option>
  <option value="2">2</option>
  <option value="3">3</option>
  <option value="4">4</option>
  <option value="5">5</option>
  <option value="6">6</option>
  <option value="7">7</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr">
<select id="turno" name="turno">
<option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstTurnos['codigo']?>"><?php echo $row_rstTurnos['turno']?></option>
  <?php
} while ($row_rstTurnos = mysql_fetch_assoc($rstTurnos));
  $rows = mysql_num_rows($rstTurnos);
  if($rows > 0) {
      mysql_data_seek($rstTurno, 0);
	  $row_rstTurnos = mysql_fetch_assoc($rstTurnos);
  }
?></select>
</td>
</tr>
<?php 
if($nivel!="CIU"){
?>
<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr">
<?php 
if($nivel=='CP'){
?>
<select name="semestre" id="semestre" onChange="return verificar_seccion('<?php echo $periodo ?>', '<?php echo $sede ?>', '<?php echo $carrera ?>', '<?php echo $pensum ?>', '<?php echo $nivel ?>',document.form1.seccion.value,document.form1.turno.value,document.form1.mencion.value,this.value)"> 
<?php 
}
else{
$mencion='COMUN';
?>
  <select name="semestre" id="semestre" onChange="return verificar_seccion('<?php echo $periodo ?>', '<?php echo $sede ?>', '<?php echo $carrera ?>', '<?php echo $pensum ?>', '<?php echo $nivel ?>',document.form1.seccion.value,document.form1.sub_seccion.value,document.form1.turno.value, '<?php echo $mencion ?>',this.value)"> 
<?php
}
?> 
  <option value="99">Seleccione...</option>
  <?php
  if($nivel=="CG"){
  ?>
  <option value="1">1</option>
  <option value="2">2</option>
  <option value="3">3</option>
  <?php
  }
  if($nivel=="CP"){
  ?>
  <option value="4">4</option>
  <option value="5">5</option>
  <option value="6">6</option>
  <option value="7">7</option>
  <option value="8">8</option>
  <option value="9">9</option>
  <option value="10">10</option>
  <?php } ?>
</select><iframe name="frame_seccion" id="frame_seccion" with="0" height="0" frameborder="0"></iframe>
</td>
</tr>
<?php } ?>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cupos")."&nbsp;" ?></td>
<td class="dr"><input name="cupos" type="text"  onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["cupos"])) ?>" size="2" maxlength="2"> </td>
</tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount, $carrera, $sede, $periodo)
{
global $nivel;
global $pensum;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="secciones.php?a=add&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">Agregar Secci&oacute;n</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="secciones.php?page=<?php echo $page - 1 ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="secciones.php?page=<?php echo $j ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="secciones.php?page=<?php echo $startpage ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="secciones.php?page=<?php echo $page + 1 ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $carrera, $sede, $periodo)
{
global $nivel;
global $pensum;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="secciones.php?carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="secciones.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="secciones.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec($carrera, $sede, $periodo)
{
global $nivel;
global $pensum;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="secciones.php?a=reset&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="secciones.php?sede=<?php echo $sede ?>&carrera=<?php echo $carrera ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>" method="post">

<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "sede" => "",
  "carrera" => "",
  "mencion" => "",
  "periodo" => "",
  "semestre" => "",
  "turno" => "",
  "seccion" => "");
showrowadd($row, false,$carrera, $sede, $periodo);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  global $carrera;
  global $sede;
  global $periodo;
  
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count,$carrera, $sede, $periodo);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  global $carrera;
  global $sede;
  global $periodo;
  global $nivel;
  global $pensum;
  
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count,$carrera, $sede, $periodo);
?>
<br>
<form enctype="multipart/form-data" action="secciones.php?a=reset&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xcarrera" value="<?php echo $row["carrera"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $row["periodo"] ?>">
<input type="hidden" name="xsemestre" value="<?php echo $row["semestre"] ?>">
<input type="hidden" name="xturno" value="<?php echo $row["turno"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xcodigo_seccion" value="<?php echo $row["codigo_seccion"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{ 
  global $carrera;
  global $sede;
  global $periodo;
  global $nivel;
  global $pensum;
  
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count, $carrera, $sede, $periodo);
?>
<br>
<form action="secciones.php?a=reset&carrera=<?php echo $carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $periodo ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xcarrera" value="<?php echo $row["carrera"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $row["periodo"] ?>">
<input type="hidden" name="xsemestre" value="<?php echo $row["semestre"] ?>">
<input type="hidden" name="xturno" value="<?php echo $row["turno"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xcodigo_seccion" value="<?php echo $row["codigo_seccion"] ?>">
<input type="hidden" name="xpensum" value="<?php echo $row["pensum"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $carrera;
  global $sede;
  global $periodo;
  global $nivel;
  global $pensum;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT * FROM `secciones`  WHERE carrera='$carrera' and sede='$sede' and periodo='$periodo' and pensum='$pensum' and nivel='$nivel' ";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and ((`sede` like '" .$filterstr ."') or (`carrera` like '" .$filterstr ."') or (`periodo` like '" .$filterstr ."') or (`semestre` like '" .$filterstr ."') or (`turno` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."'))";
  }
  $sql .= " order by semestre,seccion";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $carrera;
  global $sede;
  global $periodo;
  global $nivel;
  global $pensum;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `secciones` WHERE carrera='$carrera' and sede='$sede' and periodo='$periodo' and pensum='$pensum' and nivel='$nivel'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and ((`sede` like '" .$filterstr ."') or (`carrera` like '" .$filterstr ."') or (`periodo` like '" .$filterstr ."') or (`semestre` like '" .$filterstr ."') or (`turno` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."'))";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}
function sql_insert()
{
  global $_POST;
  global $conn;
  global $carrera;
  global $sede;
  global $periodo;
  global $nivel;
  global $pensum;
  
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
 
  
  if($nivel=="CG" || $nivel=="CIU"){
     $mencion="COMUN";
  }
  else{
      $mencion=$_POST["mencion"];
  }	  
 
    $fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha_hoy = cambioFecha($fecha2);   
	$fecha_registro=join ("-",(array_reverse(explode("-",$fecha_hoy))));
	
 $turno=$_POST["turno"];
 $seccion=$_POST["seccion"];
 $sub_seccion=$_POST["sub_seccion"];
 if($sub_seccion!=0) $seccion=$seccion.$sub_seccion;
 if($nivel!="CIU"){
    $semestre=$_POST["semestre"];
 }
 else{
    $semestre=0;
 }		
 $cupos=$_POST["cupos"];
 $annio=substr($fecha_registro,0,4);
   
 $sql = "insert into `secciones` (`sede`, `carrera`,  `mencion`, `periodo`, `semestre`, `turno`, `seccion`,`cupos`, `nivel`, `pensum`) values ('$sede', '$carrera', '$mencion', '$periodo', '$semestre', '$turno', '$seccion', '$cupos', '$nivel', '$pensum')";
  mysql_query($sql, $conn) or die(mysql_error());
 
 // Guarda el Registro de Auditoría de la sección creada.
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Agregar Secciones";
  $script="secciones.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());

   $sql_seccion = "SELECT codigo_seccion FROM secciones WHERE seccion='$seccion' and carrera='$carrera' and mencion='$mencion' and nivel='$nivel' and semestre='$semestre' and periodo='$periodo'";
	$rst_seccion = mysql_query($sql_seccion, $conn) or die(mysql_error());
	$row_seccion = mysql_fetch_assoc($rst_seccion);
	$codigo_seccion=$row_seccion["codigo_seccion"];
  
 // Crea la Oferta Académica de la Sección que se creó.
 $sql = "insert into `oferta_academica` (`id_seccion`, `codigo_seccion`, `sede`, `id_carrera`, `mencion`, `nivel`, `pensum`,`id_periodo`, `semestre`, `turno`, `annio`, `cupos`,`id_materia`,`nmateria`) SELECT '$seccion' as seccion, '$codigo_seccion' as codigo_seccion, '$sede' as sede, '$carrera' as id_carrera, '$mencion' as id_mencion, '$nivel' as nivel, '$pensum' as pensum, '$periodo' as periodo, '$semestre' as semestre, '$turno' as turno, '$annio' as annio, '$cupos' as cupos, id_materia,nombre_materia from materias where id_carrera='$carrera' and id_mencion='$mencion' and nivel='$nivel' and pensum='$pensum' and semestre='$semestre' and estatus='ACTIVA'";

  mysql_query($sql, $conn) or die(mysql_error());  
  
  // Guarda el Registro de Auditoría de la Oferta Académica
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Agregar Oferta Academica";
  $script="secciones.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
 
}

function sql_update()
{
  global $conn;
  global $_POST;
  global $carrera;
  global $sede;
  global $periodo;
  global $nivel;
  global $pensum;
  
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  $turno=$_POST["xturno"];
  $seccion=$_POST["xseccion"];
  $semestre=$_POST["xsemestre"];
  $cupos=$_POST["cupos"];
  $codigo_seccion=$_POST["xcodigo_seccion"];
  
  if($nivel!="CP"){
     $mencion=$_POST["mencion"];
  }
  else{
      $mencion="COMUN";
  }	  
  
  $sql = "update `secciones` set `cupos`='$cupos' where codigo_seccion='$codigo_seccion'";
  mysql_query($sql, $conn) or die(mysql_error());
  
  // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificar Secciones";
  $script="secciones.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());


  $sql = "update `oferta_academica` set cupos='$cupos' where codigo_seccion='$codigo_seccion'";
  mysql_query($sql, $conn) or die(mysql_error()); 
}

function sql_delete()
{
  global $conn;
  global $_POST;
  
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  $turno=$_POST["xturno"];
  $seccion=$_POST["xseccion"];
  $semestre=$_POST["xsemestre"];
  $carrera=$_POST["xcarrera"];
  $periodo=$_POST["xperiodo"];
  $sede=$_POST["xsede"];
  $mencion=$_POST["xmencion"];
  $pensum=$_POST["xpensum"];
  $codigo_seccion=$_POST["xcodigo_seccion"];
  
  $sql = "SELECT * FROM inscripciones where sede='$sede' and id_seccion='$seccion' and id_carrera='$carrera' and id_periodo='$periodo' and semestre='$semestre' and turno='$turno' and pensum='$pensum' and mencion='$mencion'";
  $rst = mysql_query($sql, $conn) or die(mysql_error());
  $rows = mysql_num_rows($rst);
  if($rows>0){
     // Evita borrar la sección si tiene alumnos al menos un alumno inscrito.
     ?>
	   <script type="text/javascript">
	      msj="Sección no se puede borrar.\nTiene estudiantes inscritos."
	 	  alert(msj);
	    </script>
			 
	 <?php
  }
  else{
     // Borra la Sección.
     $sql = "delete from `secciones` where codigo_seccion='$codigo_seccion'";
     mysql_query($sql, $conn) or die(mysql_error());
	 
     // Guarda el Registro de Auditoría de la sección borrarda.
     $consulta=addslashes($sql);
     $fecha=date("Y-m-d G:i:A");
     $accion="Eliminar Secciones";
     $script="secciones.php";
     $ip=obtener_ip();
     $sql1 = "insert into `auditoria` 
	 (`username`, 
	 `tipo_usuario`,
	 `cedula`, 
	 `ip`, 
	 `fecha`, 
	 `accion`, 
	 `script`, 
	 `query`) 
	 values 
	 ('$username', 
	 '$tipo_usuario', 
	 '$cedula_usuario', 
	 '$ip', 
	 '$fecha', 
	 '$accion', 
	 '$script', 
	 '$consulta')";
     mysql_query($sql1, $conn) or die(mysql_error());

	 // Borra la Oferta Académica de la Sección.
	 $sql = "delete from `oferta_academica` where sede='$sede' and id_seccion='$seccion' and id_carrera='$carrera' and id_periodo='$periodo' and semestre='$semestre' and turno='$turno'" ;
     mysql_query($sql, $conn) or die(mysql_error());
	 
	 // Guarda el Registro de Auditoría
     $consulta=addslashes($sql);
     $fecha=date("Y-m-d G:i:A");
     $accion="Eliminar Oferta Académica";
     $script="secciones.php";
     $ip=obtener_ip();
     $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
     mysql_query($sql1, $conn) or die(mysql_error());
  }
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`sede`";
  if (@$_POST["xsede"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xsede"], true);
  };
  $pk .= ") and ";
  $pk .= "(`carrera`";
  if (@$_POST["xcarrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcarrera"], true);
  };
  $pk .= ") and ";
  $pk .= "(`periodo`";
  if (@$_POST["xperiodo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xperiodo"], false);
  };
  $pk .= ") and ";
  $pk .= "(`semestre`";
  if (@$_POST["xsemestre"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xsemestre"], false);
  };
  $pk .= ") and ";
  $pk .= "(`turno`";
  if (@$_POST["xturno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xturno"], true);
  };
  $pk .= ") and ";
  $pk .= "(`seccion`";
  if (@$_POST["xseccion"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xseccion"], true);
  };
  $pk .= ")";
  return $pk;
}

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	} 
	
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }    

 ?>
 <script type="text/javascript" >
 
 
 function verificar_seccion(periodo,sede,carrera,pensum,nivel,seccion,sub_seccion,turno,mencion, semestre)
{
  url="validar_seccion.php?periodo="+periodo+"&sede="+sede+"&carrera="+carrera+"&pensum="+pensum+"&nivel="+nivel+"&seccion="+seccion+"&sub_seccion="+sub_seccion+"&turno="+turno+"&mencion="+mencion+"&semestre="+semestre;
  frame_seccion.location=url;
}
</script>
